import java.io.*;//Paquete para entrada y salida de datos
import java.awt.BorderLayout;
import java.awt.EventQueue;

import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JTextArea;
import javax.swing.JScrollPane;
import javax.swing.JMenuBar;
import javax.swing.JMenu;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class Principal extends JFrame {

	private JPanel contentPane;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					Principal frame = new Principal();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public Principal() {
		setTitle("Archivos de Texto");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 607, 398);
		
		JMenuBar menuBar = new JMenuBar();
		setJMenuBar(menuBar);
		
		JMenu mnArchivo = new JMenu("Archivo");
		menuBar.add(mnArchivo);
		
		JMenuItem mntmGuardar = new JMenuItem("Guardar");
		mnArchivo.add(mntmGuardar);
		
		JMenuItem mntmAbrir = new JMenuItem("Abrir");
		mnArchivo.add(mntmAbrir);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);
		
		JScrollPane scrollPane = new JScrollPane();
		scrollPane.setBounds(10, 0, 571, 327);
		contentPane.add(scrollPane);
		
		JTextArea txtArea = new JTextArea();
		scrollPane.setViewportView(txtArea);
		//Apartir de aqui van los eventos
		mntmGuardar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				try {
					//Cuadro de dialogo para seleccionar Archivos
					JFileChooser dialogo=new JFileChooser();
					int opcion=dialogo.showSaveDialog(null);
					if (opcion==JFileChooser.APPROVE_OPTION){
						String nomarch=dialogo.getSelectedFile().getAbsolutePath();
						//Clases para crear Archivos de texto 
						FileWriter archivo=new FileWriter(nomarch);
						BufferedWriter escribir=new BufferedWriter(archivo);
						String [] lineas=txtArea.getText().split("\n");
						for (int i=0;i<lineas.length;i++){
							escribir.write(lineas[i]);escribir.newLine();
						}
						escribir.close();
					}
				} catch (Exception ex){
					JOptionPane.showMessageDialog(null, 
							"Error al guardar Artchivo"+ex.getMessage());
				}
			}
		});
		mntmAbrir.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				try {
					//Cuadro de dialogo para seleccionar Archivos
					JFileChooser dialogo=new JFileChooser();
					int opcion=dialogo.showOpenDialog(null);
					if (opcion==JFileChooser.APPROVE_OPTION){
						String nomarch=dialogo.getSelectedFile().getAbsolutePath();
						//Clases para abri Archivos de texto 
						FileReader archivo=new FileReader(nomarch);
						BufferedReader leer=new BufferedReader(archivo);
						String linea;
						txtArea.setText("");
						do{
							linea=leer.readLine();
							txtArea.append(linea+"\n");
						} while (linea.length()>0);
						leer.close();
					}
				} catch (Exception ex){
					JOptionPane.showMessageDialog(null, 
							"Error al abrir Archivo"+ex.getMessage());
				}
			}
		});
	}
}
