import java.io.*;
import static javax.swing.JOptionPane.*;
public class UsaMascota {
	public static void main(String[] args) throws Exception{
		String menu="1-Agregar mascota al archivo\n"
				+"2-Mostrar Archivo\n"
				+"3-Fin";
		int opcion=0;
		Mascota objMascota;
		do {
			try {
				String resp=showInputDialog(menu);
				if (resp!=null){
                    opcion=Integer.parseInt(resp);
                    switch (opcion){
                    case 1: String nom,tipo,raza;
                            nom=showInputDialog("Nombre de la mascota:");
                            tipo=showInputDialog("Tipo de la mascota:");
                            raza=showInputDialog("Raza de la mascota:");
                            objMascota=new Mascota(nom,tipo,raza);
                            guardar(objMascota);break;
                    case 2:abrir();break;
                    case 3:break;
                    
                    default:showMessageDialog(null,"Opcion no valida");
                    break;
                    }
				}
			} catch (Exception ex){
				showMessageDialog(null,"Respuesta incorrecta");
			}
		} while (opcion!=3);
	}
	public static void guardar(Mascota objeto){
		try {
			File archivo=new File("Mascotas.obj");
			ObjectOutputStream escribir;
			if (archivo.exists()) {
				escribir=new ObjectOutputStream(new FileOutputStream(archivo,true)) //TRUE para Agregar al final
				{
					//Se redefine el metodo para que no vuelva a escribir encabezado
					@Override
					public void writeStreamHeader() throws IOException
					{
						reset(); //Para ignorar el estado de los objetos anteriores
					}
				};
			} else {
				escribir=new ObjectOutputStream(new FileOutputStream(archivo));
			}
			escribir.writeObject(objeto);escribir.close();
		} catch (IOException ex){
			showMessageDialog(null,"Error:"+ex.getMessage());
		}
	}
	public static void abrir(){
		try {
			FileInputStream archivo=new FileInputStream("Mascotas.obj");
			ObjectInputStream leer=new ObjectInputStream(archivo);
			String mensaje="";
            Mascota objaux;
            try {
            	do {
            		objaux=(Mascota) leer.readObject();
            		mensaje=mensaje+objaux+"\n";
            	} while (true);
            } catch (EOFException ex2){
            	leer.close();
                showMessageDialog(null,mensaje);
            } catch (ClassNotFoundException ex3){
            	showMessageDialog(null,"Objeto no es una mascota");
            }
		} catch (IOException ex){
			showMessageDialog(null,"Error:"+ex.getMessage());
		}
	}
}
